onClipEvent(load){
   function get_angle(x1, y1, x2, y2)
   {
      var lx = x2 - x1;
      var ly = y2 - y1;
      var dir = todeg(Math.atan(Math.abs(ly) / Math.abs(lx)));
      if(lx >= 0)
      {
         if(ly >= 0)
         {
            dir = dir;
         }
         else
         {
            dir = - dir;
         }
      }
      else if(lx < 0)
      {
         if(ly >= 0)
         {
            dir = 180 - dir;
         }
         else
         {
            dir = 180 + dir;
         }
      }
      return dir;
   }
   function torad(angle)
   {
      return 0.017453292519943295 * angle;
   }
   function todeg(angle)
   {
      return 57.29577951308232 * angle;
   }
   function get_hyp(x1, y1, x2, y2)
   {
      l_x = x1 - x2;
      l_y = y1 - y2;
      hyp2 = Math.sqrt(l_x * l_x + l_y * l_y);
      return hyp2;
   }
   function get_nb_frame(x1, y1, x2, y2, speed)
   {
      var dist = get_hyp(x1,y1,x2,y2);
      return Math.floor(dist / speed);
   }
   function get_dir(angle)
   {
      while(360 < angle || angle < 0)
      {
         if(360 < angle)
         {
            angle -= 360;
         }
         else if(angle < 0)
         {
            angle += 360;
         }
      }
      if(22.5 >= angle)
      {
         return "e";
      }
      if(67.5 >= angle)
      {
         return "se";
      }
      if(112.5 >= angle)
      {
         return "s";
      }
      if(157.5 >= angle)
      {
         return "so";
      }
      if(202.5 >= angle)
      {
         return "o";
      }
      if(247.5 >= angle)
      {
         return "no";
      }
      if(292.5 >= angle)
      {
         return "n";
      }
      if(337.5 >= angle)
      {
         return "ne";
      }
      return "e";
   }
   function new_cible()
   {
      _parent["mov_gull" + num_gull]._x = random(Math.floor(_parent._parent.land._width));
      _parent["mov_gull" + num_gull]._y = random(Math.floor(_parent._parent.land._height));
      var hype = get_hyp(_X,_Y,_parent["mov_gull" + num_gull]._x,_parent["mov_gull" + num_gull]._y);
      while(_parent._parent.land.hitTest(_parent["mov_gull" + num_gull]._x,_parent["mov_gull" + num_gull]._y,true) && 10 < hype)
      {
         _parent["mov_gull" + num_gull]._x = random(Math.floor(_parent._parent.land._width));
         _parent["mov_gull" + num_gull]._y = random(Math.floor(_parent._parent.land._height));
         hype = get_hyp(_X,_Y,_parent["mov_gull" + num_gull]._x,_parent["mov_gull" + num_gull]._y);
      }
      if(hype >= 100)
      {
      }
   }
   function set_dep(param)
   {
      if(param == 0)
      {
         var ab = get_hyp(_X,_Y,_parent["mov_gull" + num_gull]._x,_parent["mov_gull" + num_gull]._y);
         if(p_speed < ab)
         {
            var coef = p_speed / ab;
            var l_x = _parent["mov_gull" + num_gull]._x - _X;
            var l_y = _parent["mov_gull" + num_gull]._y - _Y;
            d_x = coef * l_x;
            d_y = coef * l_y;
            p_angle = get_angle(_X,_Y,_parent["mov_gull" + num_gull]._x,_parent["mov_gull" + num_gull]._y);
         }
         else
         {
            d_x = 0;
            d_y = 0;
            etat.gotoAndStop("attente");
         }
      }
      else
      {
         d_x = param[1] * Math.cos(torad(param[0]));
         d_y = param[1] * Math.sin(torad(param[0]));
      }
      p_dir = get_dir(p_angle);
      etat.gotoAndStop(p_dir);
   }
   function check_mord(mc, n)
   {
      var hype = get_hyp(_X,_Y,mc._x,mc._y);
      if(vision >= hype)
      {
         p_angle = get_angle(_X,_Y,mc._x,mc._y);
         set_dep([p_angle,p_speed]);
         if(n == null)
         {
            if(p_speed * nb_fr_par_so >= hype)
            {
               if(_parent._parent.enerv.enerv < _parent._parent.enerv.total_enerv)
               {
                  _parent._parent.enerv.t_wamp.nextFrame();
                  mc.wampa_choquee = getTimer();
                  _parent._parent.wampa.gotoAndStop("choc");
                  _parent._parent.wampa.ang_choc = p_ang;
                  _parent._parent.wampa.d_x = d_x;
                  _parent._parent.wampa.d_y = d_y;
                  je_mord = true;
               }
               else
               {
                  _parent._parent._parent.score_final = Number(_parent._parent.enerv.score);
                  _parent._parent._parent.level_final = _parent.nombre - 1;
                  _parent._parent._parent.gotoAndStop("baffe");
               }
            }
            else
            {
               je_mord = false;
            }
         }
         else if(p_speed * nb_fr_par_so >= hype)
         {
            _parent["gull" + _parent.tab_gulls[n]].etat.gotoAndStop("mordu");
            _parent.tab_gulls.splice(n,1);
            _parent.nb_gulls_bon--;
            if(_parent.nb_gulls_bon != _parent.tab_gulls.length)
            {
               _parent.tab_gulls = update_tab_gulls();
            }
         }
         else
         {
            je_mord = false;
         }
         je_cible = true;
      }
      else
      {
         je_cible = false;
         je_mord = false;
      }
   }
   function update_tab_gulls()
   {
      var tab = [];
      _parent.nb_gulls_bon = 0;
      i = 1;
      while(_parent.nombre >= i)
      {
         if(!_parent["gull" + i].rage)
         {
            tab.push(i);
            _parent.nb_gulls_bon = _parent.nb_gulls_bon + 1;
         }
         i++;
      }
      return tab;
   }
   function check_collision()
   {
      if(_parent._parent.land.hitTest(this._x,this._y,true))
      {
         collision = true;
         d1 = d2 = p_angle;
         i = 0;
         p_angle = 180 + p_angle;
         set_dep([p_angle,p_speed]);
         _X = old_x1;
         _Y = old_y1;
      }
      else
      {
         collision = false;
      }
      return collision;
   }
   p_dist = 200;
   p_speed = 7;
   tps_liber_max = 10000;
   tps_2_dep = 2000;
   vision = _parent._parent.vision;
   vision_normal = 100;
   nb_fr_par_so = 5;
   je_mord = false;
   je_cible = false;
   game_on = false;
   total_steps = 10;
   dans_land = true;
   zs_soigne._visible = false;
   etat.fleche._visible = false;
   etat.txt_gull = "";
}
